Subject: Re: bug#57792: 29.0.50; async-shell-command fails with prefix-argument on -master

From: Vladimir Nikishkin <[email-masked]>
Date: Wed, 14 Sep 2022 22:17:23 +0800

Lars Ingebrigtsen <[email-masked]> writes:

> Stefan Kangas <[email-masked]> writes:
>
>> I can reproduce this bug on master, 27.1 and 28.2.  Here's a test case
>> (not tested):
>>
>> (ert-deftest simple-tests-async-shell-command-57792 ()
>>   "Test for https://debbugs.gnu.org/57792 ."
>>   (with-temp-buffer
>>     ;; Pretend we have a prefix argument.
>>     (async-shell-command "echo \"test\"" '(4))
>>     (should (equal (buffer-string) "test"))))
>>
>> I'm not sure what behavior we want here, though.  Should we insert the
>> command output directly at point in the current buffer, or should we
>> first insert it into "*Async Shell Command*" and copy it over when done?
>
> The prefix isn't documented to do anything (and currently bugs out), so
> perhaps we should just remove the prefix from the interactive spec
> instead?

> Is the intention that `C-u M-&' insert the output in the current buffer?

I am quite sure it used to do that in the past. Perhaps, as late as
27.2. I can try to do a bisect to find when exactly this has changed.
Moreover, it would be analogous to C-u M-: inserting the return value
into the buffer at point.

-- 
Your sincerely,
Vladimir Nikishkin (MiEr, lockywolf)
(Laptop)